Bug 874160 - [upgrade] 1.0 to 1.1 upgrades brings UI error on Organizations edit page
[upgrade] 1.0 to 1.1 upgrades brings UI error on Organizations edit page
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: sam12-tracker 874737
  Show dependency treegraph
 
Reported: 2012-11-07 10:54 EST by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An old database index causes errors when editing an Organization after upgrading from 1.0 to 1.1. This fix adds a re-indexation as part of the upgrade process.
Story Points: ---
Clone Of:
: 874737 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:57:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (121.49 KB, application/x-gzip)
2012-11-07 10:54 EST, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2012-11-07 10:54:36 EST
Created attachment 640170 [details]
logs

Description of problem:
doing upgrade of 1.0 to 1.1 one can see UI error on visiting Organizations Edit page. 
https://<FQDN>/cfse/organizations#panel=organization_&panelpage=edit

Version-Release number of selected component (if applicable):
katello-1.1.12-20.el6cf.noarch
katello-configure-1.1.9-11.el6cf.noarch

How reproducible:
always

Steps to Reproduce:
1.preupgrade: create org "CFSE QE Team" + an environment "Testing" for that org
2.upgrade according recent: https://fedorahosted.org/katello/wiki/Upgrade
3.visit the UI page above. Click on any org
  
Actual results:
Error
There was an error retrieving that row:Not Found

Expected results:
no error. 

Additional info:
Following i found in production log:
---
[ WARN: 2012-11-07 16:24:27 #22471] Unable to decrypt password, returning encrypted version No such file or directory - /etc/katello/secure/passphrase
[ WARN: 2012-11-07 16:24:27 #22471] Unable to decrypt password, returning encrypted version No such file or directory - /etc/katello/secure/passphrase
[ WARN: 2012-11-07 16:24:27 #22471] Unable to decrypt password, returning encrypted version No such file or directory - /etc/katello/secure/passphrase
[FATAL: 2012-11-07 16:37:33 #25660]
AbstractController::ActionNotFound (The action 'show' could not be found for OrganizationsController):

Logs are attached.
Comment 1 Lukas Zapletal 2012-11-07 11:14:17 EST
Justin ping me if you need help with this - the /etc/katello/secure/passphrase warning does not seem to be related, but I should definitely look on hit. I dont want to see warnings like that in upgraded box. Will look.
Comment 2 Ivan Necas 2012-11-07 11:47:13 EST
The main issue: showing the org, is caused by old index of the database. Running

rake reindex

fixes the issue
Comment 3 Justin Sherrill 2012-11-07 14:44:21 EST
Hey Ivan, 

So is the plan to run rake reindex as part of the upgarde?  

and if so, is that being done as part of some other bug, or do you want me to add it as part of this bz?

-Justin
Comment 4 Lukas Zapletal 2012-11-08 03:44:30 EST
Taking, will do the patch.
Comment 5 Lukas Zapletal 2012-11-08 04:32:27 EST
https://github.com/Katello/katello/pull/1017
Comment 6 Lukas Zapletal 2012-11-08 06:43:46 EST
I have investigated "Unable to decrypt password" and it is written only during upgrade, then Katello works without this warning fine. I will put a note in the release notes.
Comment 7 Lukas Zapletal 2012-11-08 06:44:16 EST
Clearing NEEDINFO flag. This is solved.
Comment 10 Hayk Hovsepyan 2012-11-09 08:21:05 EST
Verified on revision:

katello-certs-tools-1.1.8-1.el6cf.noarch
katello-configure-1.1.9-12.el6cf.noarch
katello-glue-candlepin-1.1.12-22.el6cf.noarch
katello-common-1.1.12-22.el6cf.noarch
katello-glue-pulp-1.1.12-22.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-glue-foreman-0.1.311-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-12.el6cf.noarch
katello-selinux-1.1.1-2.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.8-12.el6cf.noarch
katello-1.1.12-22.el6cf.noarch

Now it does not show error and is possible to edit org.
Comment 12 errata-xmlrpc 2012-12-04 14:57:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.